/* gpio.h - Routines to access RPi GPIO for joystick emulation. */

#ifndef	H_GPIO
#define	H_GPIO

#define	GPIO_OK			   0
#define	GPIO_ERR_MEM	   1
#define	GPIO_ERR_ALLOC	   2
#define	GPIO_ERR_MAP	   3
#define	GPIO_PIN(i)		   ( 1 << i )

int gpio_init (void);
void gpio_term (void);
void gpio_input (int iMask);
void gpio_pullup (int iMask);
void gpio_pullnone (int iMask);
int gpio_get (int iMask);

#endif
